<%@ Page language="c#" Codebehind="LookupSingle.aspx.cs" AutoEventWireup="false" Inherits="ISVLookup.LookupSingle" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html xmlns="http://www.w3.org/1999/xhtml">
	<head runat="server" ID="Head1">
		<meta http-equiv="Content-Type" content="text/html; CHARSET=utf-8" />
		<% = GetClientMessages() %>
		<script language="JavaScript">var _sWebServicesNamespace = "http\u003a\x2F\x2Fschemas\u002emicrosoft\u002ecom\x2Fcrm\x2F2006\x2FWebServices";
		</script>
		<link rel="stylesheet" type="text/css" href="/_common/styles/global.css"></link>
		<script language="javascript" src="/_controls/util/util.js"></script>
		<script language="javascript" src="/_common/scripts/global.js"></script>
		<script language="javascript" src="/_common/windowinformation/windowinformation.aspx"></script>
		<link rel="stylesheet" type="text/css" href="/_common/styles/fonts.aspx"></link>
		<script language="javascript" src="/_controls/settings.aspx"></script>
		<link rel="stylesheet" type="text/css" href="/_forms/controls/form.css"></link>
		<link rel="stylesheet" type="text/css" href="/_forms/controls/controls.css"></link>
		<link rel="stylesheet" type="text/css" href="/_common/styles/dialogs.css"></link>
		<script language="javascript" src="/_forms/addrelated.js"></script>
		<script language="javascript" src="/_common/scripts/details.js"></script>
		<link rel="stylesheet" type="text/css" href="/_controls/lookup/lookupdialogs.css"></link>
		<link rel="stylesheet" type="text/css" href="/_controls/notifications/notifications.css"></link>
		<script language="javascript" src="/_controls/lookup/lookupdialogsappgrid.js"></script>
		<script language="javascript" src="/_controls/number/number.js"></script>
		<script language="javascript" src="/_controls/lookup/lookup.js"></script>
		<script language="javascript" src="/_grid/action.js"></script>
		<link rel="stylesheet" type="text/css" href="/_grid/grid.css"></link>
		<link rel="stylesheet" type="text/css" href="/_grid/appgrid.css"></link>
		<script language="javascript" src="/_controls/remotecommands/remotecommand.js"></script>
		<link rel="stylesheet" type="text/css" href="/_common/styles/select.css"></link>
		<script language="javascript" src="/_common/scripts/select.js"></script>
		<script language="javascript">
			<% = GetCreateScript() %>
		</script>
		
		<title>
			<% = GridMessage("title") %>
		</title>
	</head>
	<body>
		<table style="width: 100%; height: 100%;" cellspacing="0" cellpadding="0">
			<tr>
				<td colspan="2" class="header">
					<div class="header"><% = GridMessage("Header") %></div>
					<div class="headerdesc"><% = GridMessage("HeaderDescription") %></div>
				</td>
			</tr>
			<tr>
				<td colspan="2" style="height: 100%;">
					<div class="main">
						<div id="divWarning">
							<script language="javascript">

_mode = 2;

function applychanges() {
	selectItem();
}

function cancel() {
	window.close();
}

function window.onload() {
	crmGrid.OnSelectionChange = handlePropertiesBtn;
	crmGrid.OnBeforeFormLoad = handleDblClick;

	if (IsNull(window.dialogArguments)) {
		btnRemoveValue.disabled = !_enableRemoveButton;
	}

	else {
		btnRemoveValue.disabled = IsNull(window.dialogArguments.items) || (window.dialogArguments.items.length == 0);
	}

	if (!checkMode(_mode, LookupBrowse)) {
		findValue.focus();
	}
	
	else {
		crmGrid.focus();
	}

	handlePropertiesBtn();
}

function handlePropertiesBtn() {
	butBegin.disabled = btnProperties.disabled = !(crmGrid.InnerGrid.SelectedRecords.length >=1)
}

function handleDblClick() {
	selectItem();
	event.returnValue = false;
}

function removeValue() {
	window.returnValue = new LookupItems();
	event.returnValue = false;
	window.close();
}

function selectItem() {
	window.returnValue = buildReturnValue( crmGrid.InnerGrid.SelectedRecords );
	window.close();
}

							</script>
							<table cellspacing="0" cellpadding="0" width="100%" height="100%">
								<tr>
									<td class="search">
										<table width="100%" cellpadding="2" cellspacing="0">
											<col></col>
											<col width="60%"></col>
											<col width="40%"></col>
											<col width="80px"></col>
											<tr>
												<td nowrap>
													<b style="color: #000000;">
														<% = GridMessage("SearchFor") %>
													</b>
												</td>
												<input type="hidden" id="selObjects" value="<% = EntityTypeCode %>">
												<td>
													<input maxlength="100" onkeydown="findValueKeyDown()" type="text" id="findValue" style="width: 100%; font-size: 11px; border: 1px solid #7b9ebd;">
												</td>
												<td><% = GetSearchButton() %></td>
											</tr>
										</table>
										<table width="100%" cellpadding="2" cellspacing="0">
											<tr>
												<td style="height: 10px; font-size: 1px; border-bottom: 1px solid #CCCCCC;">&nbsp;</td>
											</tr>
											<tr>
												<td style="height: 1px; font-size: 1px; border-top: 1px solid #FFFFFF;">&nbsp;</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<td>
										<table height="100%" width="100%" id="tblFind" cellpadding="0" cellspacing="0">
											<tr>
												<td colspan="3" style="padding-top: 5px">
													<table cellspacing="0" cellpadding="0" id="crmGrid" class="gridControl gridArea">
														<tr>
															<td>
																<div style="height: 99.9%;">
																	<table id="refreshButton" cellspacing="0" cellpadding="0" class="refreshButton">
																		<tr>
																			<td class="gridRight">
																				<img src="/_grid/imgs/grid_refresh.gif" style="cursor: hand;" onclick="crmGrid.Refresh();" title="<% = GridMessage("RefreshGrid") %>">
																			</td>
																		</tr>
																	</table>
																	<table cellspacing="0" cellpadding="0" class="gridArea">
																		<% = GetGridBar() %>
																		<% = GetGridDataBody() %>
																		<% = GetGridStatusBar() %>
																	</table>
																</div>
																<% = GetGridProps() %>
																<% = GetGridParams() %>
															</td>
														</tr>
														<iframe id="exportFrame" name="exportFrame" style="display: none" src="/_root/Blank.aspx"></iframe>
													</table>
												</td>
											</tr>
											<% = GetPropertyAndNewButton() %>
										</table>
									</td>
								</tr>
							</table>
						</div>
					</div>
					<div id='divFillBg' style='display: none; position: absolute; top: 80px; left: 20px; height: 23px; width: 355px; background-color: #ffffff;'>&nbsp;</div>
					<div id='divFill' style='display: none; position: absolute; top: 80px; left: 20px; height: 23px; width: 0px; filter: progid:DXImageTransform.Microsoft.Gradient(GradientType=0, StartColorStr=#00ff00, EndColorStr=#00cc00);'>&nbsp;</div>
					<div id='divStatus' style='display: none; position: absolute; top: 80px; left: 19px; height: 23px; width: 357px;'>
						<img src='/_imgs/statusbar.gif' height='23' width='357'>
					</div>
				</td>
			</tr>
			<% = GetFooter() %>
		</table>
	</body>
</html>
